package com.op.common.core.domain;

import com.op.common.core.annotation.Excel;
import com.op.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 附件对象 base_file
 *
 * @author Open Platform
 * @date 2023-07-10
 */
public class BaseFileData extends BaseEntity {
	private static final long serialVersionUID = 1L;

	/** 附件ID */
	private String fileId;

	/** 附件名称 */
	@Excel(name = "附件名称")
	private String fileName;

	/** 附件地址 */
	@Excel(name = "附件地址")
	private String fileAddress;

	/** 数据来源 */
	@Excel(name = "数据来源")
	private String sourceId;

	/** 预留字段1 */
	@Excel(name = "预留字段1")
	private String attr1;

	/** 预留字段2 */
	@Excel(name = "预留字段2")
	private String attr2;

	/** 预留字段3 */
	@Excel(name = "预留字段3")
	private Long attr3;

	/** 预留字段4 */
	@Excel(name = "预留字段4")
	private Long attr4;

	public void setFileId(String fileId) {
		this.fileId = fileId;
	}

	public String getFileId() {
		return fileId;
	}
	public void setFileName(String fileName) {
		this.fileName = fileName;
	}

	public String getFileName() {
		return fileName;
	}
	public void setFileAddress(String fileAddress) {
		this.fileAddress = fileAddress;
	}

	public String getFileAddress() {
		return fileAddress;
	}
	public void setSourceId(String sourceId) {
		this.sourceId = sourceId;
	}

	public String getSourceId() {
		return sourceId;
	}
	public void setAttr1(String attr1) {
		this.attr1 = attr1;
	}

	public String getAttr1() {
		return attr1;
	}
	public void setAttr2(String attr2) {
		this.attr2 = attr2;
	}

	public String getAttr2() {
		return attr2;
	}
	public void setAttr3(Long attr3) {
		this.attr3 = attr3;
	}

	public Long getAttr3() {
		return attr3;
	}
	public void setAttr4(Long attr4) {
		this.attr4 = attr4;
	}

	public Long getAttr4() {
		return attr4;
	}

	@Override
	public String toString() {
		return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
			.append("fileId", getFileId())
			.append("fileName", getFileName())
			.append("fileAddress", getFileAddress())
			.append("sourceId", getSourceId())
			.append("remark", getRemark())
			.append("attr1", getAttr1())
			.append("attr2", getAttr2())
			.append("attr3", getAttr3())
			.append("attr4", getAttr4())
			.append("createBy", getCreateBy())
			.append("createTime", getCreateTime())
			.append("updateBy", getUpdateBy())
			.append("updateTime", getUpdateTime())
			.toString();
	}
}
